"""
functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-313/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f4318f2e0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f4318f380>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f4318f420>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f4318f4c0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f4318f560>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f4318f600>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f4318f6a0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f4318f740>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f4318f7e0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f4318f880>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f4318f920>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f4318f9c0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f4318fa60>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f4318fb00>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f4318fba0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f4318fc40>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f4318fce0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f4318fd80>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f4318fe20>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f4318fec0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f4318ff60>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ec040>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ec0e0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ec180>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ec220>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ec2c0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ec360>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ec400>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ec4a0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ec540>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ec5e0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ec680>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ec720>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ec7c0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ec860>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ec900>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ec9a0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431eca40>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ecae0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ecb80>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ecc20>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431eccc0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ecd60>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ece00>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ecea0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ecf40>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ecfe0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ed080>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ed120>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ed1c0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ed260>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ed300>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ed3a0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ed440>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ed4e0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ed580>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ed620>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ed6c0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ed760>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ed800>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ed8a0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ed940>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ed9e0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431eda80>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431edb20>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431edbc0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431edc60>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431edd00>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431edda0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ede40>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431edee0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431edf80>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ee020>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ee0c0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ee160>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ee200>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ee2a0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ee340>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ee3e0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ee480>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ee5c0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ee520>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ee660>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ee700>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f431ee7a0>)]
name: str = 'fr_HOCCN'
